define({"76":{i:0.000673346313934097,u:"../Content/Configuration/FieldProcessing/_IX_Config_FieldProcessingParams.htm",a:"The [FieldProcessing] section lists the processes to apply to fields and it contains a subsection for each process. Within each subsection, specify the process and the fields that it applies to. For example: ...",t:"Field Processing Configuration Parameters"},"77":{i:0.00048931673994485,u:"../Content/Configuration/FieldProcessing/_IX_N.htm",a:"The names of the field process configuration sections. For the name of this configuration parameter, replace  N with the zero-based rank number of the specified field process. For the parameter value, type the name of the field process configuration section. You must number the field process ...",t:"N"},"78":{i:0.00048931673994485,u:"../Content/Configuration/FieldProcessing/_IX_Field_processing_configu.htm",a:"The [MyFieldProcess] sections contain parameters that define the processes and the fields that each process applies to. For example: ...",t:"Field processing configuration"},"79":{i:0.0437212213403219,u:"../Content/Configuration/FieldProcessing/_IX_Property.htm",a:"The name of the configuration section that defines the property that applies to the  PropertyFieldCSVs  fields. Each property name must be unique, and must not be the same as the name of the field process.  Type: String Default:   Required: No Configuration Section: MyFieldProcess Example: ...",t:"Property"},"80":{i:0.0486306694177076,u:"../Content/Configuration/FieldProcessing/_IX_PropertyFieldCSVs.htm",a:"The names of document fields to associate with this process.  Depending on the properties you apply to the process, Distributed Index Handler applies the process to the specified fields, or documents that contain the specified fields during indexing. Separate multiple field names with commas. There ...",t:"PropertyFieldCSVs"},"81":{i:0.0331093774596717,u:"../Content/Configuration/FieldProcessing/_IX_PropertyMatch.htm",a:"Values that fields must have for this process. The field process applies only to the  PropertyFieldCSVs  fields that contain the specified value or values. You can use asterisk wildcards (*). Type: String Default:   Required: No Configuration Section: MyFieldProcess Example: ...",t:"PropertyMatch"},"82":{i:0.0145551977012541,u:"../Content/Configuration/FieldProcessing/_IX_PropertyNegativeFieldCSV.htm",a:"The names of fields that must not be associated with this process. Fields that you designate here override designations you have made with the  PropertyFieldCSVs  parameter.  For example, if you use a wildcard to specify a field name in  PropertyFieldCSVs , you can use PropertyNegativeFieldCSVs to ...",t:"PropertyNegativeFieldCSVs"},"83":{i:0.00036584975362383,u:"../Content/Configuration/IndexNotify/_IX_Config_IndexNotifyParams.htm",a:"The [IndexNotify] section contains parameters that control and enable the automatic generation of index job information for a specified host. When you define parameters in this section, the server sends a report action indicating the index ID of the jobs that have finished and their status. It ...",t:"Index Notify Configuration Parameters"},"84":{i:0.00756254570170662,u:"../Content/Configuration/IndexNotify/_IX_AciPort.htm",a:"AciPort Action (ACI) port number to send the report action to. Type: Long Default: 9000 Allowed Range: Minimum: 1 Maximum: 65535 Recommended Range: Minimum: 1025 Maximum: 65535 Required: Yes Configuration Section: IndexNotify Example: ACIPort=9992 See Also: Host",t:"AciPort"},"85":{i:0.000526503393943177,u:"../Content/Configuration/IndexNotify/_IX_BatchSize.htm",a:"Number of index jobs to process before returning an index report action. Type: Long Default: 100 Required: No Configuration Section: IndexNotify Example: BatchSize=100\nBatchTimeout=60000 In this example, an index report action is sent when either 100 index jobs are complete, or 60 seconds have ...",t:"BatchSize"},"86":{i:0.000526503393943177,u:"../Content/Configuration/IndexNotify/_IX_BatchTimeout.htm",a:"The length of time (in milliseconds) to wait before returning an index report action if the  BatchSize  has not been reached. Type: Long Default: 60000 Required: No Configuration Section: IndexNotify Example: BatchSize=100\nBatchTimeout=60000 In this example, an index report action is sent when ...",t:"BatchTimeout"},"87":{i:0.000377327290596141,u:"../Content/Configuration/IndexNotify/_IX_CallBackURL.htm",a:"Allows IndexNotify callbacks to go to a custom URL. It can send a report to a specified HTTP server. Use the strings  INDEX_ID_CSVS and  INDEXSTATUS_CSVS in the callback. Distributed Index Handler substitutes these values with values from the index jobs. These values are case-sensitive. Type: String ...",t:"CallBackURL"},"88":{i:0.000526503393943177,u:"../Content/Configuration/IndexNotify/_IX_ConnectRetries.htm",a:"The number of times to retry any single connection to send the index report action. Type: Long Default: 0 Required: No Configuration Section: IndexNotify Example: ConnectRetries=0\nConnectTimeout=5000 In this example, each index report action is retried 0 times, allowing for 5 seconds to make the ...",t:"ConnectRetries"},"89":{i:0.000526503393943177,u:"../Content/Configuration/IndexNotify/_IX_ConnectTimeout.htm",a:"The length of time (in milliseconds) to wait before retrying any single connection to a listening application. Type: Long Default: 5000 Required: No Configuration Section: IndexNotify Example: ConnectRetries=0\nConnectTimeout=5000 In this example, each index report action is retried 0 times, allowed ...",t:"ConnectTimeout"},"90":{i:0.00756254570170663,u:"../Content/Configuration/IndexNotify/_IX_Host.htm",a:"Host The IP address of the host from which to return index information. Type: String Default:   Required: Yes Configuration Section: IndexNotify Example: Host=10.1.1.10 See Also: AciPort",t:"Host"},"91":{i:0.00251549032425459,u:"../Content/Configuration/IndexNotify/_IX_NotifyFieldCSVs.htm",a:"When a field is set here, a more detailed callback report is generated, including the details of the index action that was used. The DIH does not read the IDX documents, and so it cannot provide details of fields in documents.  Type: String Default:   Required: No Configuration Section: IndexNotify ...",t:"NotifyFieldCSVs"},"92":{i:0.00251549032425459,u:"../Content/Configuration/IndexNotify/_IX_WorkingDir.htm",a:"WorkingDir The temporary directory to use to store notification reports before sending them. Type: String Default: indexnotifier Required: No Configuration Section: IndexNotify Example: WorkingDir=MyDir See Also: NotifyFieldCSVs",t:"WorkingDir"},"93":{i:0.00580956837138157,u:"../Content/Configuration/IndexQueue/_IX_Config_IndexQueue.htm",a:"The [IndexQueue] section contains parameters that control how Distributed Index Handler queues index actions.  For example: [IndexQueue]\nIndexQueueInitialSize=30000\nIndexQueueMaxHistory=4000\nIndexQueueMaxPendingItems=100 IndexQueueInitialSize IndexQueueMaxHistory IndexQueueMaxPendingItems",t:"Index Queue Configuration Parameters"},"94":{i:0.013279784128865,u:"../Content/Configuration/IndexQueue/_IX_IndexQueueInitialSize.htm",a:"The size of the index queue at startup.  Setting a high number reduces the need for DIH to grow the index queue, which can be slow. A guideline size is the  IndexQueueMaxHistory , plus the peak expected number of unfinished index actions you expect, including jobs at the pending commit stage. Type: ...",t:"IndexQueueInitialSize"},"95":{i:0.013279784128865,u:"../Content/Configuration/IndexQueue/_IX_IndexQueueMaxHistory.htm",a:"IndexQueueMaxHistory The number of completed index actions to keep in the index queue history.  Type: Long Default: 5000 Required: No Configuration Section: IndexQueue Example: IndexQueueMaxHistory=4000 See Also: IndexQueueInitialSize",t:"IndexQueueMaxHistory"},"96":{i:0.0141609210936258,u:"../Content/Configuration/IndexQueue/_IX_IndexQueueMaxPendingItem.htm",a:"The maximum number of outstanding index jobs. This configuration parameter limits the number of jobs that DIH has received, but which are not yet complete. DIH rejects any index action that exceeds this limit, and instead returns an INDEX QUEUE FULL  response instead of the normal index ID.  You can ...",t:"IndexQueueMaxPendingItems"},"97":{i:0.00036584975362383,u:"../Content/Configuration/IndexServer/_IX_Config_IndexServerParams.htm",a:"The [IndexServer] section contains settings for the Distributed Index Handler Index Port. You can use it to set Secure Socket Layer (SSL) communications for the Index Port. For example: [IndexServer]\nSSLConfig=SSLOption1\nThreads=4\nSocketTimeout=90 DisallowedIndexCommands SocketTimeout SSLConfig ...",t:"Index Server Configuration Parameter"},"98":{i:0.000423973173575607,u:"../Content/Configuration/IndexServer/_IX_DisallowedIndexCommands.htm",a:"A comma-separated list of index actions that the indexing components must ignore. For example, you can use this configuration parameter to stop indexing components from forwarding or processing a  DREINITIAL  index action. These index actions are rejected as NOT AUTHORIZED. You can use this ...",t:"DisallowedIndexCommands"},"99":{i:0.000423973173575607,u:"../Content/Configuration/IndexServer/_IX_SocketTimeout.htm",a:"SocketTimeout The number of seconds to timeout for index actions sent to the Distributed Index Handler index port. Type: Long Default: 60 Required: No Configuration Section: IndexServer Example: SocketTimeout=90 See Also:  ",t:"SocketTimeout"},"100":{i:0.000423973173575607,u:"../Content/Configuration/IndexServer/_IX_SSLConfig.htm",a:"The name of the configuration section that contains the SSL configuration details, usually SSLOptionN. Set this parameter in the [IndexServer] section of the unified IDOL Server configuration file to configure SSL on the IDOL Proxy\u0027s index port. This implicitly includes any indexing components IDOL ...",t:"SSLConfig"},"101":{i:0.000423973173575607,u:"../Content/Configuration/IndexServer/_IX_Threads.htm",a:"The maximum number of parallel listening threads for index actions.  Set this parameter to the number of index actions that the server can receive at the same time. DIH queues these actions, and processes the queue using a single processing thread.  You can calculate the optimum number of threads as ...",t:"Threads"},"102":{i:0.00036584975362383,u:"../Content/Configuration/License/_ACI_LicenseConfigParams_Reference.htm",a:"License Configuration Parameters This section describes the license configuration parameters that specify licensing details. ",t:"License Configuration Parameters"},"103":{i:0.00230817786131218,u:"../Content/Configuration/License/_ACI_LicenseServerACIPort.htm",a:"The ACI port of License Server. This must be the Port specified in the License Server configuration file\u0027s [Server] section. This port is used to request licensing from License Server.  Type: Long Default: None Required: Yes Allowed range: Minimum: 0 Maximum: 65536 Recommended range: Minimum: 1025 ...",t:"LicenseServerACIPort"},"104":{i:0.00230817786131218,u:"../Content/Configuration/License/_ACI_LicenseServerHost.htm",a:"LicenseServerHost The IP address or host name of the machine that hosts the License Server. Type: String Default: None Required: Yes Configuration Section: License Example: LicenseServerHost=1.23.45.6 See Also: LicenseServerACIPort LicenseServerTimeout LicenseServerRetries",t:"LicenseServerHost"},"105":{i:0.00230817786131218,u:"../Content/Configuration/License/_ACI_LicenseServerRetries.htm",a:"LicenseServerRetries The number of retries when connecting to the License Server.  Type: Integer Default: 5 Required: No Configuration Section: License Example: LicenseServerRetries=1 See Also: LicenseServerACIPort LicenseServerHost LicenseServerTimeout",t:"LicenseServerRetries"},"106":{i:0.00230817786131218,u:"../Content/Configuration/License/_ACI_LicenseServerTimeout.htm",a:"The time (in milliseconds) to timeout when connecting to License Server. Type the number of milliseconds after which requests that have been sent to the License Server time out if it does not respond. Type: Long Default: 120000 Required: No Configuration Section: License Example: ...",t:"LicenseServerTimeout"},"107":{i:0.00036584975362383,u:"../Content/Configuration/Logging/_ACI_LoggingConfigParams_Reference.htm",a:"Logging Configuration Parameters This section describes the configuration parameters used to create separate log files for different log message types (such as query, index, and application) and to determine how each stream is logged.",t:"Logging Configuration Parameters"},"108":{i:0.00757883476883308,u:"../Content/Configuration/Logging/_ACI_LogArchiveDirectory.htm",a:"Path to log archive directory. Type the directory in which you want the application to archive old log files when LogOldAction is set to  Move. Type: String Default: ./archive Required: No Configuration Section: Logging or  LogStream or  TaskName                         If you set this parameter in ...",t:"LogArchiveDirectory"},"109":{i:0.00101810047915554,u:"../Content/Configuration/Logging/_ACI_LogCompressionMode.htm",a:"Specifies how old log files are compressed when the LogExpireAction parameter is set to  Compress. You can set this to either  zip or  gz. Type: String Default: zip Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging and  ...",t:"LogCompressionMode"},"110":{i:0.011070486524032,u:"../Content/Configuration/Logging/_ACI_LogDirectory.htm",a:"LogDirectory Path to log directory. Type the directory in which you want the application to store the log files it creates. Type: String Default: ./logs Required: No Configuration Section: Logging Example: LogDirectory=./logs See Also: LogArchiveDirectory LogFile",t:"LogDirectory"},"111":{i:0.000346230035276497,u:"../Content/Configuration/Logging/_ACI_LogEcho.htm",a:"Displays logging messages on the console. Enable this parameter to display logging messages on the console.  This setting has no effect if you are running the application as a Windows service. Type: Boolean Default: False Required: No Configuration Section: Logging or  LogStream                      ...",t:"LogEcho"},"112":{i:0.00237129932512428,u:"../Content/Configuration/Logging/_ACI_LogExpireAction.htm",a:"Determines how log files are handled when they exceed the maximum size. Type one of the following to determine how log files are handled when they exceed the LogMaxSizeKBs size: Option Description Compress  The log file\u0027s name is appended with a timestamp, compressed and saved in the log directory. ...",t:"LogExpireAction"},"113":{i:0.00869942178995869,u:"../Content/Configuration/Logging/_ACI_LogFile.htm",a:"Name of the log file that the application creates in the specified LogDirectory.  Type: String Default: None Required: Yes Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging and  LogStream sections, the setting in the  LogStream section ...",t:"LogFile"},"114":{i:0.000346230035276497,u:"../Content/Configuration/Logging/_ACI_LogHistorySize.htm",a:"LogHistorySize The number of log messages to store in memory.  Type: String Default: 100 Required: Yes Allowed Range: \n                    Minimum: 1 Maximum: 520\n                     Configuration Section: LogStream Example: LogHistorySize=50 See Also: LogExpireAction",t:"LogHistorySize"},"115":{i:0.00140786441306905,u:"../Content/Configuration/Logging/_ACI_LogLevel.htm",a:"The type of messages that are logged. Type one of the following to determine the type of messages that are logged: Option Description Always Basic processes are logged.  This produces only minimal logging and no errors are logged. Error Errors are logged. Warning Errors and warnings are logged.  ...",t:"LogLevel"},"116":{i:0.000944573216064679,u:"../Content/Configuration/Logging/_ACI_LogLevelMatch.htm",a:"The messages reported relative to the specified LogLevel. The options are: Option Description Equal Only the message type specified by LogLevel is reported. For example, if LogLevel=warning, only warning messages are reported. LessThan The message types below the LogLevel setting are reported. For ...",t:"LogLevelMatch"},"117":{i:0.000346230035276497,u:"../Content/Configuration/Logging/_ACI_LogMaxLineLength.htm",a:"The number of characters a log entry can include before it is truncated. Increase this value when you want long actions to be logged in full. Type: Long Default: 16384 Required: No Allowed Range: \n                        Minimum: 0 Maximum: 2000000000\n                     Recommended Range: \n        ...",t:"LogMaxLineLength"},"118":{i:0.00257984534441003,u:"../Content/Configuration/Logging/_ACI_LogMaxOldFiles.htm",a:"Maximum number of log files in the log directory. The maximum number of log files the specified LogDirectory can store before the application runs the specified LogOldAction. If you do not want to restrict how many log files the LogDirectory can store, type  -1.  Type: Long Default: -1 (unlimited) ...",t:"LogMaxOldFiles"},"119":{i:0.00101810047915554,u:"../Content/Configuration/Logging/_ACI_LogMaxSizeKBs.htm",a:"Maximum log file size (in kilobytes). If you do not want to restrict the log file size, type  -1.  The LogExpireAction parameter determines how a log file is handled after it has reached its maximum size.  The LogMaxSizeKBs parameter is used for standard logging streams. Type: Long Default: 1024 ...",t:"LogMaxSizeKBs"},"120":{i:0.00788407380244923,u:"../Content/Configuration/Logging/_ACI_LogOldAction.htm",a:"Determines how log files are handled when the maximum number of log files is exceeded. Type one of the following to determine how log files are handled when the LogDirectory has reached the maximum number of log files, as determined by the LogMaxOldFiles parameter: Option Description Delete The log ...",t:"LogOldAction"},"121":{i:0.000761007371953506,u:"../Content/Configuration/Logging/_ACI_LogOutputLogLevel.htm",a:"Determines whether the log level is reported in the log. By default, the log entry includes the log level of a message.  Type: Boolean Default: True  Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging and  LogStream sections, ...",t:"LogOutputLogLevel"},"122":{i:0.000346230035276497,u:"../Content/Configuration/Logging/_ACI_LogOutputSeverity.htm",a:"Assigns each log message a severity rating from 0–99. 0 is the least serious, 99 is the most serious. By default, log messages include severity ratings. Type: Boolean Default: True Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the ...",t:"LogOutputSeverity"},"123":{i:0.000346230035276497,u:"../Content/Configuration/Logging/_ACI_LogSysLog.htm",a:"Writes messages to the Microsoft Windows or Linux system log. Enable this parameter to write messages to the Linux Syslog or the Windows Event Log.  Type: Boolean Default: False Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging ...",t:"LogSysLog"},"124":{i:0.000346230035276497,u:"../Content/Configuration/Logging/_ACI_LogTime.htm",a:"Displays time with each log entry. Enable this parameter to display the current time next to each log entry in the log file.  Type: Boolean Default: True Required: No Configuration Section: Logging or  LogStream                        If you set this parameter in the Logging and  LogStream sections, ...",t:"LogTime"},"125":{i:0.00179057223020208,u:"../Content/Configuration/Logging/_ACI_LogTypeCSVs.htm",a:"List of message types to log. Type one or more of the following message types to specify the type of messages written to the associated log file. If you want to type multiple message types, separate them with commas (there must be no space before or after a comma): Option Description All Components ...",t:"LogTypeCSVs"},"126":{i:0.00036584975362383,u:"../Content/Configuration/Paths/Config_PathsParams.htm",a:"Paths Configuration Parameters The [Paths] section contains settings that determine where index data files are stored. For example: [Paths]\nArchive=./archive\nFailed=./failed\nIncoming=./incoming\nMain=./main  ",t:"Paths Configuration Parameters"},"127":{i:0.000718961615773633,u:"../Content/Configuration/Paths/_ACI_AdminFile.htm",a:"AdminFile The full path to the admin.dat file to use to access the IDOL Admin interface. Type: String Default: the admin.dat file in the working directory Required: No Configuration Section: Paths Example: AdminFile=C:\\IDOL\\modules\\admin.dat See Also:  ",t:"AdminFile"},"128":{i:0.00674414351116583,u:"../Content/Configuration/Paths/Archive.htm",a:"The path to the index action list. If you have set  ArchiveMode  to  true, you can use Archive to specify the path to the directory in which to store a list of all index actions. Type: String Default: ./archive Required: No Configuration Section: Paths Example: Archive=./archive See Also: ...",t:"Archive"},"129":{i:0.00469810838337068,u:"../Content/Configuration/Paths/Failed.htm",a:"The path to files the Distributed Index Handler cannot index. If you have set  ArchiveFailedTasks  to  true, you can use Failed to specify the path to the directory in which to store files that the Distributed Index Handler cannot index. Type: String Default: ./failed Required: No Configuration ...",t:"Failed"},"130":{i:0.00354823666669684,u:"../Content/Configuration/Paths/Incoming.htm",a:"The path to index data to send to Distributed Index Handler. Type the path to the directory that stores the index data that you want to send to the Distributed Index Handler. Type: String Default: ./incoming Required: No Configuration Section: Paths Example: Incoming=./incoming See Also: Archive ...",t:"Incoming"},"131":{i:0.00354823666669684,u:"../Content/Configuration/Paths/Main.htm",a:"Main The path to the Distributed Index Handler main directory. The Distributed Index Handler installation uses this directory to store index queue status files. Type: String Default: ./main Required: No Configuration Section: Paths Example: Main=./main See Also: Archive Failed Incoming",t:"Main"},"132":{i:0.00270588696279003,u:"../Content/Configuration/Paths/_ACI_TemplateDirectory.htm",a:"The path to the directory that contains your XSL templates. You can use XSL templates to transform action responses. Type: String Default: acitemplates Required: No Configuration Section: Paths Example: You can use an absolute or relative path: TemplateDirectory=D:/IDOLserver/Templates ...",t:"TemplateDirectory"},"133":{i:0.000346230035276497,u:"../Content/Configuration/Properties/_IX_Config_PropertiesParams.htm",a:"The [Properties] section contains a section for each of the properties you create for the processes listed in the [FieldProcessing] section. Within the properties sections, you set the configuration parameters to apply to associated fields. For example: ...",t:"Properties Configuration Parameters"},"134":{i:0.000677865483233514,u:"../Content/Configuration/Properties/_IX_ACLType.htm",a:"The fields with this property hold ACLs (Access Control Lists). Type  true to indicate that the associated  PropertyFieldCSVs  fields hold ACLs. Each document that you store in IDOL Server must contain only one ACLType field. If IDOL Server receives a document that contains more than one ACLType ...",t:"ACLType"},"135":{i:0.000346230035276497,u:"../Content/Configuration/Properties/_IX_AlwaysMatchType.htm",a:"The fields with this property match all query text. Type  true if the field must always match query text when it is present in a document. Documents containing a field of this type, with a non-empty value of anything other than  0, always match query text, regardless of whether the query matches any ...",t:"AlwaysMatchType"},"136":{i:0.000439844947781823,u:"../Content/Configuration/Properties/_IX_AutnRankType.htm",a:"The fields with this property hold document ranks. If you have set AutnRank to  true, you can set AutnRankType to  true to indicate that the associated  PropertyFieldCSVs  fields contain a value that represents the important of the document. The value in the specified  PropertyFieldCSVs  fields must ...",t:"AutnRankType"},"137":{i:0.000641288830355292,u:"../Content/Configuration/Properties/_IX_BitFieldCompressed.htm",a:"Whether to compress the Bitfield index. You can set BitFieldCompressed to  true only for fields where you have set the  BitFieldType  property to  true. Type: Boolean Default: False Required: No Configuration Section: MyProperty Example: BitFieldCompressed=true See Also: BitFieldMaxMemoryKB ...",t:"BitFieldCompressed"},"138":{i:0.000641288830355292,u:"../Content/Configuration/Properties/_IX_BitFieldMaxMemoryKB.htm",a:"The maximum amount of memory (in KB) that  BitFieldType  fields can use. You can set BitFieldMaxMemoryKB only for fields where you have set the  BitFieldType  property to  true. Type: Boolean Default: Long Required: 0 (unlimited) Configuration Section: MyProperty Example: BitFieldMaxMemoryKB=1024 ...",t:"BitFieldMaxMemoryKB"},"139":{i:0.00093402572146768,u:"../Content/Configuration/Properties/_IX_BitFieldType.htm",a:"The fields with this property contain information about the document sets that a document belongs to. You can use BitFieldType fields to efficiently store set information. BitFieldType fields contain hexadecimal values that correspond to binary numbers. The binary number is a representation of the ...",t:"BitFieldType"},"140":{i:0.000842200395449109,u:"../Content/Configuration/Properties/_IX_CountType.htm",a:"The fields with this property have optimized matching. Type  true to store the number of occurrences of the associated  PropertyFieldCSVs  fields in a fast-look-up table in memory to optimize matching of the fields when using the MATCHCOVER and EQUALCOVER FieldText specifiers. Type: Boolean Default: ...",t:"CountType"},"141":{i:0.00115925502577137,u:"../Content/Configuration/Properties/_IX_DatabaseType.htm",a:"The fields with this property hold IDOL database names. Type  true to indicate that the associated  PropertyFieldCSVs  fields contain the name of the database that Distributed Index Handler must store the document in. If you specify an IDOL Server database in the index action when you index a ...",t:"DatabaseType"},"142":{i:0.000881644427365187,u:"../Content/Configuration/Properties/_IX_DateType.htm",a:"The fields with this property hold document dates. Type  true to indicate that the associated  PropertyFieldCSVs  fields hold the document date. Each document that you store in IDOL Server must contain only one DateType field. If IDOL Server receives a document that contains more than one DateType ...",t:"DateType"},"143":{i:0.000614120007484598,u:"../Content/Configuration/Properties/_IX_ExpireAfterDelay.htm",a:"An expiry delay, in hours. Use this parameter with the  ExpireDateType  property. The date in the  ExpireDateType  field is then offset by the value of ExpireAfterDelay. You can set a negative number of hours to expire the document earlier than the given expiry time. Type: Integer Default: 0 ...",t:"ExpireAfterDelay"},"144":{i:0.00094548231566601,u:"../Content/Configuration/Properties/_IX_ExpireDateType.htm",a:"The fields with this property hold document expiration dates. Type  true to indicate that the associated  PropertyFieldCSVs  fields hold the document expiration date. Each document that you store in IDOL Server must contain only one ExpireDateType field. If IDOL Server receives a document that ...",t:"ExpireDateType"},"145":{i:0.000346230035276497,u:"../Content/Configuration/Properties/_IX_FieldCheckType.htm",a:"Whether to hash the values of fields with this property for fast retrieval. Type  true to map the values of the associated  PropertyFieldCSVs  field to integers (by hashing and storing them in memory), to make them available for especially fast retrieval. Typically, you assign FieldCheckType to ...",t:"FieldCheckType"},"146":{i:0.000545211304050707,u:"../Content/Configuration/Properties/_IX_FlattenIndexType.htm",a:"The hierarchical fields with this property are indexed as one level. When IDOL Server indexes one of the associated  PropertyFieldCSVs , it indexes all subfields in the specified FlattenIndexType field as part of the parent field.  For example, if you configure */subject as FlattenIndexType, and ...",t:"FlattenIndexType"},"147":{i:0.000346230035276497,u:"../Content/Configuration/Properties/_IX_HiddenType.htm",a:"HiddenType The fields with this property fields are hidden. Type  true to hide the associated  PropertyFieldCSVs  fields. Type: Boolean Default: False Required: No Configuration Section: MyProperty Example: HiddenType=true See Also: Property PropertyFieldCSVs",t:"HiddenType"},"148":{i:0.000392207731716722,u:"../Content/Configuration/Properties/_IX_HighlightType.htm",a:"The fields with this property allow highlighting. Type  true to allow highlighting of terms in the associated  PropertyFieldCSVs  when you send a Query action with the Highlight parameter set to  true. Type: Boolean Default: False Required: No Configuration Section: MyProperty Example: ...",t:"HighlightType"},"149":{i:0.00132987955666928,u:"../Content/Configuration/Properties/_IX_Index.htm",a:"The fields with this property are index fields. Typically, Index fields contain text that you query frequently with conceptual queries. IDOL Server processes index fields linguistically when it stores them: It applies stemming and stop lists to text in before it stores them, which allows it to ...",t:"Index"},});